from sqlalchemy import Column, Integer, String, Text, ForeignKey
from sqlalchemy.orm import relationship
import enum

from app.db.base_class import Base


class KYCStatus(str, enum.Enum):
    PENDING = "pending"
    APPROVED = "approved"
    REJECTED = "rejected"


class KYC(Base):
    id = Column(Integer, primary_key=True, index=True)
    user_id = Column(Integer, ForeignKey("user.id"), unique=True, nullable=False)
    full_name = Column(String, nullable=False)
    id_document_type = Column(String, nullable=False)  # passport, id_card, driver_license
    id_document_path = Column(String, nullable=False)
    selfie_path = Column(String, nullable=False)
    additional_document_path = Column(String, nullable=True)
    status = Column(String, default=KYCStatus.PENDING)
    rejection_reason = Column(Text, nullable=True)
    
    # Relationships
    user = relationship("User", back_populates="kyc")