from sqlalchemy import Column, Integer, String, Float, ForeignKey
from sqlalchemy.orm import relationship
import enum

from app.db.base_class import Base


class WalletType(str, enum.Enum):
    SPOT = "spot"
    TRADING = "trading"


class Wallet(Base):
    id = Column(Integer, primary_key=True, index=True)
    user_id = Column(Integer, ForeignKey("user.id"), nullable=False)
    wallet_type = Column(String, nullable=False)
    balance = Column(Float, default=0.0, nullable=False)
    
    # Relationships
    user = relationship("User", back_populates="wallets")
    transactions = relationship("Transaction", back_populates="wallet", cascade="all, delete-orphan")