from app.schemas.user import (
    User, UserCreate, UserUpdate, UserInDB, Token, TokenPayload, 
    RefreshToken, PasswordReset, PasswordResetConfirm, EmailVerification,
    TwoFactorSetup, TwoFactorVerify, TwoFactorLogin, TwoFactorDisable, UserRole
)
from app.schemas.wallet import Wallet, WalletCreate, WalletUpdate, WalletTransfer, WalletType
from app.schemas.deposit import Deposit, DepositCreate, DepositUpdate, DepositRequest, DepositApprove, DepositReject, DepositStatus
from app.schemas.withdrawal import Withdrawal, WithdrawalCreate, WithdrawalUpdate, WithdrawalRequest, WithdrawalApprove, WithdrawalReject, WithdrawalStatus
from app.schemas.transaction import Transaction, TransactionCreate, TransactionUpdate, TransactionType
from app.schemas.bot import Bot, BotCreate, BotUpdate
from app.schemas.bot_purchase import BotPurchase, BotPurchaseCreate, BotPurchaseUpdate, BotPurchaseRequest, BotPurchaseStatus, BotPurchaseWithBot
from app.schemas.kyc import KYC, KYCCreate, KYCUpdate, KYCApprove, KYCReject, KYCStatus, IDDocumentType

# Explicitly export all schema classes
__all__ = [
    # User schemas
    'User', 'UserCreate', 'UserUpdate', 'UserInDB', 'Token', 'TokenPayload',
    'RefreshToken', 'PasswordReset', 'PasswordResetConfirm', 'EmailVerification',
    'TwoFactorSetup', 'TwoFactorVerify', 'TwoFactorLogin', 'TwoFactorDisable', 'UserRole',
    
    # Wallet schemas
    'Wallet', 'WalletCreate', 'WalletUpdate', 'WalletTransfer', 'WalletType',
    
    # Deposit schemas
    'Deposit', 'DepositCreate', 'DepositUpdate', 'DepositRequest', 'DepositApprove', 
    'DepositReject', 'DepositStatus',
    
    # Withdrawal schemas
    'Withdrawal', 'WithdrawalCreate', 'WithdrawalUpdate', 'WithdrawalRequest', 
    'WithdrawalApprove', 'WithdrawalReject', 'WithdrawalStatus',
    
    # Transaction schemas
    'Transaction', 'TransactionCreate', 'TransactionUpdate', 'TransactionType',
    
    # Bot schemas
    'Bot', 'BotCreate', 'BotUpdate',
    
    # Bot purchase schemas
    'BotPurchase', 'BotPurchaseCreate', 'BotPurchaseUpdate', 'BotPurchaseRequest', 
    'BotPurchaseStatus', 'BotPurchaseWithBot',
    
    # KYC schemas
    'KYC', 'KYCCreate', 'KYCUpdate', 'KYCApprove', 'KYCReject', 'KYCStatus', 'IDDocumentType'
]