import sys
from importlib import import_module

# Simple test script to check for import errors
try:
    # Import main module
    print("Importing main module...")
    main = import_module("main")
    print("Main module imported successfully!")
    
    # Try to import the app
    print("Importing app...")
    app = getattr(main, "app")
    print("App imported successfully!")
    
    print("All imports successful! The application should run without errors.")
    sys.exit(0)
except Exception as e:
    print(f"Error importing application: {e}")
    import traceback
    traceback.print_exc()
    sys.exit(1)